Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Class CustomerDelegatePk

    java.lang.Object
      com.beasys.commerce.foundation.SmartKey
          com.beasys.commerce.axiom.contact.ContactPk
              com.beasys.commerce.ebusiness.customer.CustomerDelegatePk

All Implemented Interfaces
  Serializable, Comparable

Deprecated

    @Deprecated
    public class CustomerDelegatePk

extends com.beasys.commerce.axiom.contact.ContactPk

See Also
  Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.axiom.contact.ContactPk
`identifier`

Constructor Summary
`CustomerDelegatePk()` Deprecated
`CustomerDelegatePk(String identifier)` Deprecated

Method Summary
`int` | `compareTo(Object o)` Deprecated Objects that compare will return 0
`int` | `hashCode()` Deprecated override the hashCode() method
`String` | `toString()` Deprecated Return identifier

Methods inherited from class com.beasys.commerce.foundation.SmartKey
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustomerDelegatePk

    public CustomerDelegatePk()

  Deprecated

### CustomerDelegatePk

    public CustomerDelegatePk(String identifier)

  Deprecated

Method Detail

### compareTo

    public int compareTo(Object o)

  Deprecated
  Objects that compare will return 0

  Specified by:
    `compareTo` in interface `Comparable`
  Overrides:
    `compareTo` in class `com.beasys.commerce.axiom.contact.ContactPk`
  Parameters
    `o` - the Object to be compared.
  Returns
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### hashCode

    public int hashCode()

  Deprecated
  override the hashCode() method

  Overrides:
    `hashCode` in class `com.beasys.commerce.axiom.contact.ContactPk`

### toString

    public String toString()

  Deprecated
  Return identifier

  Overrides:
    `toString` in class `com.beasys.commerce.axiom.contact.ContactPk`
  Returns
    A `String` representation of the SmartKey.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.